Returns a list of images hits for query
curl --request GET \
--url https://image-search.ydc-index.io/images \
--header 'X-API-Key: <api-key>'import requests
url = "https://image-search.ydc-index.io/images"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://image-search.ydc-index.io/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"images": {
"results": [
{
"title": "8 Test Day Tips for Success",
"page_url": "https://www.c2educate.com/8-test-day-tips-success/",
"image_url": "https://s26378.pcdn.co/wp-content/uploads/sat-or-act-test-1030x519.jpg"
}
]
},
"metadata": {
"query": "The image you are searching for",
"search_uuid": "c6c8f8cf-b6fc-4248-9828-24fc0dcf7be5"
}
}API Reference
Images
GET
/
images
Returns a list of images hits for query
NOTE: The You.com Image Search is currently available to exclusive early access partners.To express interest in early access, please reach out via email to api@you.com.
ATTENTION: The correct cURL code to use in your API call is in the playground. Click on Try it in the bar above to open the playground.
Description
This endpoint returns the URLs of images associated to the user query.Authorizations
The unique API Key required to authorize API access. Learn how to get yours in the “Get your API key” section of the documentation.
Query Parameters
The search query used to retrieve relevant image results from the web.